package repo

import (
	"context"
	"voucher/internal/biz/bo"
)

type WechatNotifyRegisterTagRepo interface {
	GetByStockIdAndMchId(ctx context.Context, stockCreatorMchID, stockId string) (*bo.WechatNotifyRegisterTagBo, error)
	Create(ctx context.Context, req *bo.WechatNotifyRegisterTagBo) (*bo.WechatNotifyRegisterTagBo, error)
	Success(ctx context.Context, id int32) error
	Fail(ctx context.Context, id int32, remark string) error
}
